OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | List of all members
cl::detail::ReferenceHandler< cl_device_id > Struct Template Reference

`#include <cl2.hpp>`

## Static Public Member Functions
static cl_int | retain (cl_device_id device)
static cl_int | release (cl_device_id device)

## Detailed Description

### template<>
struct cl::detail::ReferenceHandler< cl_device_id >

OpenCL 1.2 devices do have retain/release.

## Member Function Documentation

static cl_int cl::detail::ReferenceHandler< cl_device_id >::release | ( | cl_device_id | device | ) |
| inline static

Retain the device.

Parameters

  device | A valid device created using createSubDevices

Returns
  CL_SUCCESS if the function executed successfully. CL_INVALID_DEVICE if device was not a valid subdevice CL_OUT_OF_RESOURCES CL_OUT_OF_HOST_MEMORY

static cl_int cl::detail::ReferenceHandler< cl_device_id >::retain | ( | cl_device_id | device | ) |
| inline static

Retain the device.

Parameters

  device | A valid device created using createSubDevices

Returns
  CL_SUCCESS if the function executed successfully. CL_INVALID_DEVICE if device was not a valid subdevice CL_OUT_OF_RESOURCES CL_OUT_OF_HOST_MEMORY

The documentation for this struct was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gpu/cl2.hpp